<?php
class mail_model extends AmysqlModel {
	public function select($where) {
		$sql = "SELECT email FROM `authme` WHERE `username` = '" . $where . "'";
		return $this->_all ( $sql );
	}
	public function mail($mail, $verify, $user) {
		$data = array (
				"address" => $mail,
				"verify" => $verify,
				"statu" => '1',
				"time" => date ( "Y-m-d" ) 
		);
		// var_dump($data);
		$num = $this->_update ( 'mail', $data, "WHERE user='" . $user . "'" );
		// var_dump($num);
		if ($num == 0) {
			return false;
		} else {
			return true;
		}
	}
	public function status($user) {
		$sql = "SELECT * FROM `mail` WHERE `user` = '" . $user . "'";
		return $this->_all ( $sql );
	}
}
?>